Bug 2189930 (CVE-2023-30402) - CVE-2023-30402 yasm: heap-based buffer overflow in handle_dot_label() in modules/parsers/nasm/nasm-token.re
Summary: CVE-2023-30402 yasm: heap-based buffer overflow in handle_dot_label() in modu...
Keywords:
Status: NEW
Alias: CVE-2023-30402
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On: 2189931 2189932 2189933 2189934
Blocks: 2189257
TreeView+ depends on / blocked
 
Reported: 2023-04-26 13:38 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-07-07 08:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2023-04-26 13:38:59 UTC
YASM v1.3.0 was discovered to contain a heap overflow via the function handle_dot_label at /nasm/nasm-token.re.

Reference:
https://github.com/yasm/yasm/issues/206

Comment 1 Guilherme de Almeida Suckevicz 2023-04-26 13:39:16 UTC
Created yasm tracking bugs for this issue:

Affects: epel-all [bug 2189932]
Affects: fedora-all [bug 2189931]


Note You need to log in before you can comment on or make changes to this bug.